| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::MediaFrame::IAdapter Class Referenceabstract
Gapi_data_structures

An interface class for MediaFrame data adapters. More...

`#include <opencv2/gapi/media.hpp>`

Collaboration diagram for cv::MediaFrame::IAdapter:

## Public Member Functions
virtual | ~IAdapter ()=0
virtual MediaFrame::View | access (MediaFrame::Access)=0
virtual cv::util::any | blobParams () const
virtual void | deserialize (cv::gapi::s11n::IIStream &)
virtual cv::GFrameDesc | meta () const =0
virtual void | serialize (cv::gapi::s11n::IOStream &)

## Detailed Description

An interface class for MediaFrame data adapters.

Implement this interface to wrap media data in the MediaFrame. It makes sense to implement this class if there is a custom cv::gapi::wip::IStreamSource defined – in this case, a stream source can produce MediaFrame objects with this adapter and the media data may be passed to graph without any copy. For example, a GStreamer-based stream source can implement an adapter over `GstBuffer` and G-API will transparently use it in the graph.

## Constructor & Destructor Documentation

## ◆ ~IAdapter()

virtual cv::MediaFrame::IAdapter::~IAdapter | ( |  | ) |
| pure virtual

## Member Function Documentation

## ◆ access()

virtual MediaFrame::View cv::MediaFrame::IAdapter::access | ( | MediaFrame::Access |  | ) |
| pure virtual

## ◆ blobParams()

virtual cv::util::any cv::MediaFrame::IAdapter::blobParams | ( |  | ) | const
| virtual

## ◆ deserialize()

virtual void cv::MediaFrame::IAdapter::deserialize | ( | cv::gapi::s11n::IIStream & |  | ) |
| inline virtual

## ◆ meta()

virtual cv::GFrameDesc cv::MediaFrame::IAdapter::meta | ( |  | ) | const
| pure virtual

## ◆ serialize()

virtual void cv::MediaFrame::IAdapter::serialize | ( | cv::gapi::s11n::IOStream & |  | ) |
| inline virtual

The documentation for this class was generated from the following file:

- opencv2/gapi/media.hpp